var map;
var geocoder;
var markers = [];

function initialize() {
  var myOptions = {
    zoom: 13,
    center: new google.maps.LatLng(34.033599,-118.474674),
    mapTypeId: google.maps.MapTypeId.ROADMAP
  };
  map = new google.maps.Map(document.getElementById('map_canvas'),
      myOptions);
  geocoder = new google.maps.Geocoder();
}

function postEvent() {
    var address = document.getElementById("saddress").value;
    var start = document.getElementById("start").value;
    var title = document.getElementById("title").value;
    $.post('/events/create', {'address':address,
			      'start':start,
			      'title':title});
}

function loadAddress() {
    var address = document.getElementById("address").value;
    geocoder.geocode( { 'address': address}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
	  $.getJSON('/events/location?'+"latitude="+results[0].geometry.location.lat+"&longitude="+results[0].geometry.location.lng, function (data) {
                    console.log(data.events);
		    for (var i in data.events) {
                        var mark = new google.maps.Marker({
                            map: map,
			    position: new google.maps.LatLng(data.events[i].latitude,
							     data.events[i].longitude),
			    draggable: false
                        });
			mark.infobox = new google.maps.InfoWindow({
					                     content: data.events[i].title,
							     xWidth: 200
						      });
			google.maps.event.addListener(mark, "click", function() {
						      mark.infobox.open(map,mark);});
                        markers.push(mark);
                    }   
		 });
	  map.setCenter(results[0].geometry.location);
        var marker = new google.maps.Marker({
            map: map,
            position: results[0].geometry.location,
	    draggable: false					
        });
	var infowindow = new google.maps.InfoWindow({
	  content: "You are Here",
	  xWidth: 200
        });
        google.maps.event.addListener(marker, "click", function()
	  {infowindow.open(map,marker);});
        };
     });
}

google.maps.event.addDomListener(window, 'load', initialize);
